/*
 * This file is generated by jOOQ.
 */
package de.ship.pia.emailcollector.jooq.tables.records;


import de.ship.pia.emailcollector.jooq.tables.TPerson;

import java.time.LocalDateTime;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record7;
import org.jooq.Row7;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TPersonRecord extends UpdatableRecordImpl<TPersonRecord> implements Record7<Integer, String, String, LocalDateTime, Boolean, LocalDateTime, LocalDateTime> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>public.t_person.pk</code>.
     */
    public void setPk(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>public.t_person.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>public.t_person.pseudo_id</code>.
     */
    public void setPseudoId(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>public.t_person.pseudo_id</code>.
     */
    public String getPseudoId() {
        return (String) get(1);
    }

    /**
     * Setter for <code>public.t_person.email</code>.
     */
    public void setEmail(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>public.t_person.email</code>.
     */
    public String getEmail() {
        return (String) get(2);
    }

    /**
     * Setter for <code>public.t_person.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(3, value);
    }

    /**
     * Getter for <code>public.t_person.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(3);
    }

    /**
     * Setter for <code>public.t_person.registered</code>.
     */
    public void setRegistered(Boolean value) {
        set(4, value);
    }

    /**
     * Getter for <code>public.t_person.registered</code>.
     */
    public Boolean getRegistered() {
        return (Boolean) get(4);
    }

    /**
     * Setter for <code>public.t_person.consent_pia</code>.
     */
    public void setConsentPia(LocalDateTime value) {
        set(5, value);
    }

    /**
     * Getter for <code>public.t_person.consent_pia</code>.
     */
    public LocalDateTime getConsentPia() {
        return (LocalDateTime) get(5);
    }

    /**
     * Setter for <code>public.t_person.consent_ship</code>.
     */
    public void setConsentShip(LocalDateTime value) {
        set(6, value);
    }

    /**
     * Getter for <code>public.t_person.consent_ship</code>.
     */
    public LocalDateTime getConsentShip() {
        return (LocalDateTime) get(6);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record7 type implementation
    // -------------------------------------------------------------------------

    @Override
    public Row7<Integer, String, String, LocalDateTime, Boolean, LocalDateTime, LocalDateTime> fieldsRow() {
        return (Row7) super.fieldsRow();
    }

    @Override
    public Row7<Integer, String, String, LocalDateTime, Boolean, LocalDateTime, LocalDateTime> valuesRow() {
        return (Row7) super.valuesRow();
    }

    @Override
    public Field<Integer> field1() {
        return TPerson.T_PERSON.PK;
    }

    @Override
    public Field<String> field2() {
        return TPerson.T_PERSON.PSEUDO_ID;
    }

    @Override
    public Field<String> field3() {
        return TPerson.T_PERSON.EMAIL;
    }

    @Override
    public Field<LocalDateTime> field4() {
        return TPerson.T_PERSON.LASTCHANGE;
    }

    @Override
    public Field<Boolean> field5() {
        return TPerson.T_PERSON.REGISTERED;
    }

    @Override
    public Field<LocalDateTime> field6() {
        return TPerson.T_PERSON.CONSENT_PIA;
    }

    @Override
    public Field<LocalDateTime> field7() {
        return TPerson.T_PERSON.CONSENT_SHIP;
    }

    @Override
    public Integer component1() {
        return getPk();
    }

    @Override
    public String component2() {
        return getPseudoId();
    }

    @Override
    public String component3() {
        return getEmail();
    }

    @Override
    public LocalDateTime component4() {
        return getLastchange();
    }

    @Override
    public Boolean component5() {
        return getRegistered();
    }

    @Override
    public LocalDateTime component6() {
        return getConsentPia();
    }

    @Override
    public LocalDateTime component7() {
        return getConsentShip();
    }

    @Override
    public Integer value1() {
        return getPk();
    }

    @Override
    public String value2() {
        return getPseudoId();
    }

    @Override
    public String value3() {
        return getEmail();
    }

    @Override
    public LocalDateTime value4() {
        return getLastchange();
    }

    @Override
    public Boolean value5() {
        return getRegistered();
    }

    @Override
    public LocalDateTime value6() {
        return getConsentPia();
    }

    @Override
    public LocalDateTime value7() {
        return getConsentShip();
    }

    @Override
    public TPersonRecord value1(Integer value) {
        setPk(value);
        return this;
    }

    @Override
    public TPersonRecord value2(String value) {
        setPseudoId(value);
        return this;
    }

    @Override
    public TPersonRecord value3(String value) {
        setEmail(value);
        return this;
    }

    @Override
    public TPersonRecord value4(LocalDateTime value) {
        setLastchange(value);
        return this;
    }

    @Override
    public TPersonRecord value5(Boolean value) {
        setRegistered(value);
        return this;
    }

    @Override
    public TPersonRecord value6(LocalDateTime value) {
        setConsentPia(value);
        return this;
    }

    @Override
    public TPersonRecord value7(LocalDateTime value) {
        setConsentShip(value);
        return this;
    }

    @Override
    public TPersonRecord values(Integer value1, String value2, String value3, LocalDateTime value4, Boolean value5, LocalDateTime value6, LocalDateTime value7) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TPersonRecord
     */
    public TPersonRecord() {
        super(TPerson.T_PERSON);
    }

    /**
     * Create a detached, initialised TPersonRecord
     */
    public TPersonRecord(Integer pk, String pseudoId, String email, LocalDateTime lastchange, Boolean registered, LocalDateTime consentPia, LocalDateTime consentShip) {
        super(TPerson.T_PERSON);

        setPk(pk);
        setPseudoId(pseudoId);
        setEmail(email);
        setLastchange(lastchange);
        setRegistered(registered);
        setConsentPia(consentPia);
        setConsentShip(consentShip);
    }
}
